Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.view
Interface IView

All Known Implementing Classes:
  View

    public interface IView

The top-level view interface

Method Summary
`void` | `enableStartTurnPanel(boolean enable)` Enables or disables the player's StartTurnPanel
`void` | `enableWinPanel(boolean enable)` Enables or disables the panel shown when a player has won
`IEvent` | `getNewGameEvent()` The new game event is emitted when the player wants to start a new game
`IPlayerPanel` | `getPlayerPanel()` Returns the player panel
`IEvent` | `getQuitEvent()` The quit event is emitted when the player wants to quit the game
`IEvent` | `getStartTurnEvent()` The start turn event is emitted when the player wants to start his turn
`ITablePanel` | `getTablePanel()` Returns the table
`void` | `setCurrentPlayerName(java.lang.String playerName)` Sets the current player's name
`void` | `setSelectedStones(java.util.Collection<Stone> stones)` Sets the stones that are to be painted selected

Method Detail

### getTablePanel

    ITablePanel getTablePanel()

  Returns the table

  Returns:
    the table

### getPlayerPanel

    IPlayerPanel getPlayerPanel()

  Returns the player panel

  Returns:
    the playerPanel

### setCurrentPlayerName

    void setCurrentPlayerName(java.lang.String playerName)

  Sets the current player's name

  Parameters:
    `playerName` - the player name

### setSelectedStones

    void setSelectedStones(java.util.Collection<Stone> stones)

  Sets the stones that are to be painted selected

  Parameters:
    `stones` - the stones to be painted selected

### enableStartTurnPanel

    void enableStartTurnPanel(boolean enable)

  Enables or disables the player's StartTurnPanel

  Parameters:
    `enable` - enable/disable

### getStartTurnEvent

    IEvent getStartTurnEvent()

  The start turn event is emitted when the player wants to start his turn

  Returns:
    the event

### enableWinPanel

    void enableWinPanel(boolean enable)

  Enables or disables the panel shown when a player has won

  Parameters:
    `enable` - enable/disable

### getQuitEvent

    IEvent getQuitEvent()

  The quit event is emitted when the player wants to quit the game

  Returns:
    the event

### getNewGameEvent

    IEvent getNewGameEvent()

  The new game event is emitted when the player wants to start a new game

  Returns:
    the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD